$primary: darken(#1da4ea, 20%);
@import "~bootstrap/scss/bootstrap";

@import "flags";

@import "~@fortawesome/fontawesome-free/scss/fontawesome";
@import "~@fortawesome/fontawesome-free/scss/solid";

header {
  min-height: 56px;
}

footer a {
  background: url('../images/logo-white.png') top center no-repeat;
  min-width: 143px;
  padding-top: 30px;
  display: inline-block;
}

[data-copy] {
  cursor: pointer;

  .input-group &.input-group-text {
    position: relative;

    .fa {
      opacity: 0;
    }

    .fa-copy, .fa-check {
      position: absolute;
      top: 50%;
      left: 50%;
      transform: translate(-50%, -50%);
    }

    .fa-copy {
      opacity: 1;
    }

    .fa-check {
      color: var(--bs-success);
    }

    &.clicked {
      .fa-copy {
        animation: hide;
        animation-duration: 2s;
      }

      .fa-check {
        animation: show;
        animation-duration: 2s;
      }
    }
  }
}

@keyframes show {
  from { opacity: 0; }
  20% { opacity: 1; }
  99% { opacity: 1; }
  to { opacity: 0; }
}

@keyframes hide {
  from { opacity: 1; }
  20% { opacity: 0; }
  99% { opacity: 0; }
  to { opacity: 1; }
}
